Skip to main content
GET
List evaluators

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

agent_id
integer

Filter evaluators by agent ID Example: 2142

project_id
integer

Filter evaluators by project ID Example: 1

assistant_id
string

Filter evaluators by assistant ID Example: asst_1234567890

Minimum string length: 1
tags
string

Comma-separated list of tags to filter evaluators by Example: tag1,tag2,tag3

Minimum string length: 1
tag_filter_type
enum<string>
default:or

Filter operation type for tags

  • and - and
  • or - or
  • not - not
Available options:
and,
or,
not
Minimum string length: 1
folder_path
string

Filter evaluators by folder path. Use empty string to get evaluators without a folder. Example: Sales.Inbound

ordering
string

Sort evaluators by a field. Prefix with - for descending. Defaults to newest first. Allowed: id, name, created_at, updated_at, personality_name, agent_name, test_profile_name, scenario_language Example: -updated_at

Minimum string length: 1
conditional_actions_format
enum<string>

Set to legacy to return conditional-action instructions in the earlier id-based format (id, condition, action, type, fixed_message).

  • legacy - legacy
Available options:
legacy
Minimum string length: 1

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"https://api.cekura.ai/example/v1/example-external/?page=4"

previous
string<uri> | null
Example:

"https://api.cekura.ai/example/v1/example-external/?page=3"